"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const LegendModel = require("./LegendModel.js");
const LegendView = require("./LegendView.js");
const legendFilter = require("./legendFilter.js");
const legendAction = require("./legendAction.js");
function install(registers) {
  registers.registerComponentModel(LegendModel.default);
  registers.registerComponentView(LegendView.default);
  registers.registerProcessor(registers.PRIORITY.PROCESSOR.SERIES_FILTER, legendFilter.default);
  registers.registerSubTypeDefaulter("legend", function() {
    return "plain";
  });
  legendAction.installLegendAction(registers);
}
exports.install = install;
